Skip to content

Create a work item ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/

Create a new work item in the specified project with the provided details.

Path parameters ​

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

assignees:optionalarray

IDs of the users assigned to the work item.

labels:optionalarray

IDs of the labels applied to the work item.

type_id:optionalstring

ID of the work item type.

parent:optionalstring

ID of the parent work item.

deleted_at:optionalstring

When the work item was deleted.

point:optionalinteger

Point.

name:requiredstring

The work item's name.

description_html:optionalstring

The description as HTML.

description_stripped:optionalstring

The description as plain text, with HTML removed.

priority:optionalstring
  • urgent - Urgent
  • high - High
  • medium - Medium
  • low - Low
  • none - None
start_date:optionalstring

The work item's start date.

target_date:optionalstring

The work item's target date.

sequence_id:optionalinteger

The work item's sequence ID.

sort_order:optionalnumber

Position used for manual ordering.

completed_at:optionalstring

When the work item was completed.

archived_at:optionalstring

When the work item was archived.

last_activity_at:optionalstring

When the work item last had activity.

is_draft:optionalboolean

Whether the work item is a draft.

external_source:optionalstring

The system external_id came from, for example github or jira.

external_id:optionalstring

Your system's identifier for this record, for sync and import correlation.

created_by:optionalstring

ID of the user who created the work item.

state:optionalstring

ID of the work item's state.

estimate_point:optionalstring

The work item's estimate point.

type:optionalstring

The work item type.

Scopes ​

projects.work_items:write

Create a work item
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "Example description",
  "priority": "medium",
  "state": "550e8400-e29b-41d4-a716-446655440000",
  "assignees": [
    "550e8400-e29b-41d4-a716-446655440000"
  ],
  "labels": [
    "550e8400-e29b-41d4-a716-446655440000"
  ],
  "external_id": "550e8400-e29b-41d4-a716-446655440000",
  "external_source": "github"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description",
  "sequence_id": 1,
  "priority": "high",
  "assignees": ["550e8400-e29b-41d4-a716-446655440000"],
  "labels": ["550e8400-e29b-41d4-a716-446655440000"],
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z"
}